package cn.superdesk.uniorder.dao.mapper.thirdpart.jd;

import cn.superdesk.uniorder.dao.entity.thirdpart.jd.SysQuartzScheduleTaskStatementOfAccountJd;
import cn.superdesk.uniorder.dao.entity.thirdpart.jd.SysQuartzScheduleTaskStatementOfAccountJdExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysQuartzScheduleTaskStatementOfAccountJdMapper {
    long countByExample(SysQuartzScheduleTaskStatementOfAccountJdExample example);

    int deleteByExample(SysQuartzScheduleTaskStatementOfAccountJdExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SysQuartzScheduleTaskStatementOfAccountJd record);

    int insertSelective(SysQuartzScheduleTaskStatementOfAccountJd record);

    List<SysQuartzScheduleTaskStatementOfAccountJd> selectByExampleWithBLOBs(SysQuartzScheduleTaskStatementOfAccountJdExample example);

    List<SysQuartzScheduleTaskStatementOfAccountJd> selectByExample(SysQuartzScheduleTaskStatementOfAccountJdExample example);

    SysQuartzScheduleTaskStatementOfAccountJd selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SysQuartzScheduleTaskStatementOfAccountJd record, @Param("example") SysQuartzScheduleTaskStatementOfAccountJdExample example);

    int updateByExampleWithBLOBs(@Param("record") SysQuartzScheduleTaskStatementOfAccountJd record, @Param("example") SysQuartzScheduleTaskStatementOfAccountJdExample example);

    int updateByExample(@Param("record") SysQuartzScheduleTaskStatementOfAccountJd record, @Param("example") SysQuartzScheduleTaskStatementOfAccountJdExample example);

    int updateByPrimaryKeySelective(SysQuartzScheduleTaskStatementOfAccountJd record);

    int updateByPrimaryKeyWithBLOBs(SysQuartzScheduleTaskStatementOfAccountJd record);

    int updateByPrimaryKey(SysQuartzScheduleTaskStatementOfAccountJd record);
}